Xeonr Developer Docs
API SpecificationBuckets

Bulk copy content

POST
/uplim.api.v1.BucketsService/BulkCopyContent

Copies multiple uploads to a new folder, preserving metadata and thumbnails without re-processing.

Authorization

OAuth2 upl:uploads:create
AuthorizationBearer <token>

OAuth 2.0 authorization

In: header

Scope: upl:uploads:create

Header Parameters

Connect-Protocol-Version*number

Define the version of the Connect protocol

Value in1
Connect-Timeout-Ms?number

Define the timeout, in ms

Request Body

application/json

bucketRef?|

Reference to a bucket by ID or hostname

uploadId?upload_id

Upload IDs to copy

Items1 <= items <= 100
destinationFolder?|

Destination folder for the copies

slugLength?integer|null

Generate random slugs of this length. If not set, attempts to use source slug (may fail if conflict)

Formatint32
Range4 <= value <= 32
[key: string]?never

Response Body

application/json

application/json

curl -X POST "https://uploads-api.xeonr.io/uplim.api.v1.BucketsService/BulkCopyContent" \  -H "Connect-Protocol-Version: 1" \  -H "Content-Type: application/json" \  -d '{}'
{
  "copiedUploads": {
    "property1": "string",
    "property2": "string"
  }
}
{
  "code": "not_found",
  "message": "string",
  "details": [
    {
      "type": "string",
      "value": "string",
      "debug": {}
    }
  ]
}